package org.yaoqiang.bpmn.model.elements.activities;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.process.GlobalTask;

/**
 * GlobalBusinessRuleTask
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class GlobalBusinessRuleTask extends GlobalTask {

	public GlobalBusinessRuleTask(XMLElement parent) {
		super(parent, "globalBusinessRuleTask");
	}

	protected void fillStructure() {
		XMLAttribute attrImplementation = new XMLAttribute(this, "implementation", "##unspecified");

		super.fillStructure();
		add(attrImplementation);
	}

}
