package org.yaoqiang.bpmn.model.elements.data;

import org.yaoqiang.bpmn.model.elements.core.common.Expression;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * Assignment
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Assignment extends BaseElement {

	public Assignment(Assignments parent) {
		super(parent, "assignment");
	}

	protected void fillStructure() {
		Expression refFrom = new Expression(this, "from");
		Expression refTo = new Expression(this, "to");

		super.fillStructure();
		add(refFrom);
		add(refTo);
	}

	public Assignments getParent() {
		return (Assignments) parent;
	}

}
