package org.yaoqiang.bpmn.model.elements.events;

import java.util.ArrayList;

import org.yaoqiang.bpmn.model.elements.XMLComplexChoice;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.core.common.FormalExpression;

/**
 * TimerTypes
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class TimerTypes extends XMLComplexChoice {

	public TimerTypes(TimerEventDefinition parent) {
		super(parent);
	}

	protected void fillChoices() {
		choices = new ArrayList<XMLElement>();
		choices.add(new FormalExpression(this, "timeDate"));
		choices.add(new FormalExpression(this, "timeCycle"));
		choices.add(new FormalExpression(this, "timeDuration"));
		choosen = choices.get(2);
	}

}
