package org.yaoqiang.bpmn.editor.model;

import org.yaoqiang.graph.model.YGraphModel;

/**
 * GraphModel
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class GraphModel extends YGraphModel {

	private static final long serialVersionUID = 4079341532024100860L;

	public Object getCell(String id) {
		Object result = super.getCell(id);
		if (result == null && cells != null && id != null) {
			for (String cellId : cells.keySet()) {
				if (cellId.endsWith("_part_" + id) || cellId.startsWith(id + "_CT") || cellId.startsWith(id + "_SC")) {
					return cells.get(cellId);
				}
			}
		}
		return result;
	}
}
