package org.yaoqiang.bpmn.model.elements.collaboration;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * MessageFlowAssociations
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class MessageFlowAssociations extends XMLCollection {

	public MessageFlowAssociations(Collaboration parent) {
		super(parent, "messageFlowAssociations");
	}

	public XMLElement generateNewElement() {
		return new MessageFlowAssociation(this);
	}

	public String getElementName() {
		return "messageFlowAssociation";
	}

	public Collaboration getParent() {
		return (Collaboration) parent;
	}

}
