package org.yaoqiang.bpmn.model.elements.process;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * LaneSets
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class LaneSets extends XMLCollection {

	public LaneSets(XMLElement parent) {
		super(parent, "laneSets");
	}

	public XMLElement generateNewElement() {
		return new LaneSet(this);
	}

	public String getElementName() {
		return "laneSet";
	}
	
	public boolean isEmpty() {
		return getXMLElements().isEmpty() || getXMLElements().get(0).isEmpty();
	}
	
}
